Re: rfc2616 datetime format?
| From: | Richard Lynch | Date: | Tue, 05 Oct 2010 03:48:30 +0000 |
| Subject: | Re: rfc2616 datetime format? | ||
| References: | 1 2 3 4 | Groups: | php.internals |
| Request: | Send a blank email to internals+get-49869@lists.php.net to get a copy of this message | ||
On Sun, October 3, 2010 6:27 pm, Stas Malyshev wrote:
>> It looks like a sub optimal choice to have used string constants
>> instead of integer. However it could be still possible to define new
>> constants as numeric. It is then possible to do whatever needs to be
>> done as post or pre ops for the respective constants.
>
> I'm not sure what integers have to do with it? The constants define
> date
> formats that are in common use, RFC2616 is one of the commonest on the
> web and we don't have a constant for it...
I'm not sure that using 1 for RFC822, 2 for RFC884, ... would have
been much better, really...
You'd still have to look up the string format, and this GMT one would
still be an oddball requiring pre-processing to convert to GMT, as I
understand it.
Perhaps a whole new "pool" of constants for gmdate() formatting???
GMT_RFC_2616, for example???
There are probably others in the same boat, yes?
Let the record show that I am painfully aware of my ignorance relative
to Derick with regards to Date Time matters. :-)
--
brain cancer update:
http://richardlynch.blogspot.com/search/label/brain%20tumor
Donate:
https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=FS9NLTNEEKWBE